<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>LockUtil (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LockUtil (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LockUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/util/JexlUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/util/MimeUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/LockUtil.html" target="_top">Frames</a></li>
<li><a href="LockUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.util</div>
<h2 title="Class LockUtil" class="title">Class LockUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.util.LockUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LockUtil</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Utility methods for handling application-level locking.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Andrzej Bialecki</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/util/LockUtil.html#LockUtil--">LockUtil</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/util/LockUtil.html#createLockFile-org.apache.hadoop.conf.Configuration-org.apache.hadoop.fs.Path-boolean-">createLockFile</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf,
              <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile,
              boolean&nbsp;accept)</code>
<div class="block">Create a lock file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/util/LockUtil.html#createLockFile-org.apache.hadoop.fs.FileSystem-org.apache.hadoop.fs.Path-boolean-">createLockFile</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs">FileSystem</a>&nbsp;fs,
              <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile,
              boolean&nbsp;accept)</code>
<div class="block">Create a lock file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/util/LockUtil.html#removeLockFile-org.apache.hadoop.conf.Configuration-org.apache.hadoop.fs.Path-">removeLockFile</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf,
              <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile)</code>
<div class="block">Remove lock file.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/util/LockUtil.html#removeLockFile-org.apache.hadoop.fs.FileSystem-org.apache.hadoop.fs.Path-">removeLockFile</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs">FileSystem</a>&nbsp;fs,
              <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile)</code>
<div class="block">Remove lock file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LockUtil--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LockUtil</h4>
<pre>public&nbsp;LockUtil()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createLockFile-org.apache.hadoop.fs.FileSystem-org.apache.hadoop.fs.Path-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLockFile</h4>
<pre>public static&nbsp;void&nbsp;createLockFile(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs">FileSystem</a>&nbsp;fs,
                                  <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile,
                                  boolean&nbsp;accept)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Create a lock file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fs</code> - filesystem</dd>
<dd><code>lockFile</code> - name of the lock file</dd>
<dd><code>accept</code> - if true, and the target file exists, consider it valid. If false
          and the target file exists, throw an IOException.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if accept is false, and the target file already exists, or if
           it's a directory.</dd>
</dl>
</li>
</ul>
<a name="createLockFile-org.apache.hadoop.conf.Configuration-org.apache.hadoop.fs.Path-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLockFile</h4>
<pre>public static&nbsp;void&nbsp;createLockFile(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf,
                                  <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile,
                                  boolean&nbsp;accept)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Create a lock file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - configuration to find the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs"><code>FileSystem</code></a> lockFile
          belongs to</dd>
<dd><code>lockFile</code> - name of the lock file</dd>
<dd><code>accept</code> - if true, and the target file exists, consider it valid. If false
          and the target file exists, throw an IOException.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if accept is false, and the target file already exists, or if
           it's a directory.</dd>
</dl>
</li>
</ul>
<a name="removeLockFile-org.apache.hadoop.fs.FileSystem-org.apache.hadoop.fs.Path-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeLockFile</h4>
<pre>public static&nbsp;boolean&nbsp;removeLockFile(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs">FileSystem</a>&nbsp;fs,
                                     <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile)
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Remove lock file. NOTE: applications enforce the semantics of this file -
 this method simply removes any file with a given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fs</code> - filesystem</dd>
<dd><code>lockFile</code> - lock file name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false, if the lock file doesn't exist. True, if it existed and was
         successfully removed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if lock file exists but it is a directory.</dd>
</dl>
</li>
</ul>
<a name="removeLockFile-org.apache.hadoop.conf.Configuration-org.apache.hadoop.fs.Path-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeLockFile</h4>
<pre>public static&nbsp;boolean&nbsp;removeLockFile(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf,
                                     <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/Path.html?is-external=true" title="class or interface in org.apache.hadoop.fs">Path</a>&nbsp;lockFile)
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Remove lock file. NOTE: applications enforce the semantics of this file -
 this method simply removes any file with a given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - configuration to find the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/fs/FileSystem.html?is-external=true" title="class or interface in org.apache.hadoop.fs"><code>FileSystem</code></a> lockFile
          belongs to</dd>
<dd><code>lockFile</code> - lock file name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false, if the lock file doesn't exist. True, if it existed and was
         successfully removed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if lock file exists but it is a directory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LockUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/util/JexlUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/util/MimeUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/LockUtil.html" target="_top">Frames</a></li>
<li><a href="LockUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
